import 'package:flutter/material.dart';

class TimerCardView extends StatefulWidget {
  final Color textColor;
  final Color backColor;
  final int snapData;
  final double width;
  final double height;
  TimerCardView(this.textColor,this.backColor,this.snapData,this.width,this.height);
  @override
  _TimerCardViewState createState() => _TimerCardViewState();
}

//CARD VIEW TO HANDLE THE DISPLAY THE SELECTED TIME

class _TimerCardViewState extends State<TimerCardView> {
  @override
  Widget build(BuildContext context) {
    return Center(

        child: Card(
            shape: StadiumBorder(
              side: BorderSide(
                color: widget.backColor,
              ),
            ),
            child: Container(
              height: widget.height,
              width: widget.width,
              child: Center(
                child: Container(
                    child: Center(
                        child: Column(
                          mainAxisAlignment: MainAxisAlignment.center,
                          crossAxisAlignment: CrossAxisAlignment.center,
                          children: [

                            Text(
                              '${widget.snapData}',
                              style: TextStyle(
                                  color: widget.textColor,
                                  fontWeight: FontWeight.bold,
                                  fontSize: 20),
                            ),

                          ],
                        ))),
              ),
            )));
  }

}
