import 'dart:async';

import 'package:flutter/material.dart';

class SharedClass {
  static final SharedClass _singleton = SharedClass._internal();
  // ignore: close_sinks
  static final StreamController<DateTime> imgStream = StreamController<DateTime>.broadcast();
  // ignore: close_sinks
  static final StreamController<int> hoursIndex = StreamController<int>.broadcast();
  // ignore: close_sinks
  static final StreamController<int> minuteIndex = StreamController<int>.broadcast();

  factory SharedClass() {
    return _singleton;
  }
  static var selectedMinutes = "0 minutes",selectedHours = "0 hours";
  SharedClass._internal();
}
class CountState extends InheritedWidget {
  @override
  bool updateShouldNotify(covariant InheritedWidget oldWidget) {
    // TODO: implement updateShouldNotify
    throw UnimplementedError();
  }
}
//USED FOR CHECKING TYPES OF PICKER
enum typesofCalendar {
  days,
  hours,
  minutes
}
//RETURN MONTH FROM THE DATE STRING
String month(DateTime tm) {
  DateTime today = new DateTime.now();
  String month;
  switch (tm.month) {
    case 1:
      return "January";
      break;
    case 2:
      return "February";
      break;
    case 3:
      return "March";
      break;
    case 4:
      return "April";
      break;
    case 5:
      return "May";
      break;
    case 6:
      return "June";
      break;
    case 7:
      return "July";
      break;
    case 8:
      return "August";
      break;
    case 9:
      return "September";
      break;
    case 10:
      return "October";
      break;
    case 11:
      return "November";
      break;
    case 12:
      return "December";
      break;
  }
}
//RETURN DATE FROM THE DATE STRING
String date(DateTime tm) {
  DateTime today = new DateTime.now();
  String month;
  switch (tm.month) {
    case 1:
      month = "january";
      break;
    case 2:
      month = "february";
      break;
    case 3:
      month = "march";
      break;
    case 4:
      month = "april";
      break;
    case 5:
      month = "may";
      break;
    case 6:
      month = "june";
      break;
    case 7:
      month = "july";
      break;
    case 8:
      month = "august";
      break;
    case 9:
      month = "september";
      break;
    case 10:
      month = "october";
      break;
    case 11:
      month = "november";
      break;
    case 12:
      month = "december";
      break;
  }

  Duration difference = today.difference(tm);
  switch (tm.weekday) {
    case 1:
      return "monday";
    case 2:
      return "tuesday";
    case 3:
      return "wednesday";
    case 4:
      return "thursday";
    case 5:
      return "friday";
    case 6:
      return "saturday";
    case 7:
      return "sunday";
  }
}
